/* empty css                                          */
import { d as createAstro, c as createComponent, r as renderComponent, a as renderTemplate, m as maybeRenderHead } from '../../../chunks/astro/server_5mFihzcn.mjs';
import { d as getOneUser } from '../../../chunks/auths_D_cJY4N0.mjs';
import { $ as $$Layout } from '../../../chunks/Layout_v67TeP9G.mjs';
export { renderers } from '../../../renderers.mjs';

const $$Astro = createAstro("https://new.sambekiel.com");
const prerender = false;
const $$slugStaffid = createComponent(async ($$result, $$props, $$slots) => {
  const Astro2 = $$result.createAstro($$Astro, $$props, $$slots);
  Astro2.self = $$slugStaffid;
  const { slug, id } = Astro2.params;
  const getUser = async () => {
    try {
      return await getOneUser(Number(id));
    } catch (error) {
      console.error({ error });
    }
  };
  const staff = await getUser();
  const fullName = `${staff?.firstName ?? ""} ${staff?.lastName ?? ""}`;
  return renderTemplate`${renderComponent($$result, "Layout", $$Layout, { "title": fullName }, { "default": async ($$result2) => renderTemplate` ${maybeRenderHead()}<section> <h3 class="font-semibold text-2xl uppercase">${fullName}'s Profile</h3> ${renderComponent($$result2, "ProfileForm", null, { ...staff, "client:only": true, "client:component-hydration": "only", "client:component-path": "@/components/ProfileForm", "client:component-export": "ProfileForm" })} </section> ` })}`;
}, "C:/projects/sambekiel_front/src/pages/dashboard/staffs/[slug]-staff-[id].astro", void 0);

const $$file = "C:/projects/sambekiel_front/src/pages/dashboard/staffs/[slug]-staff-[id].astro";
const $$url = "/dashboard/staffs/[slug]-staff-[id]";

const _page = /*#__PURE__*/Object.freeze(/*#__PURE__*/Object.defineProperty({
  __proto__: null,
  default: $$slugStaffid,
  file: $$file,
  prerender,
  url: $$url
}, Symbol.toStringTag, { value: 'Module' }));

const page = () => _page;

export { page };
